> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/plugins-and-integrations/unity-plugin-beta-overview/getting-started/installation.md).

# Installation

## Introduction

This page helps you choose the right installation method for your workflow. If you’re starting fresh, we recommend **UPM** for the smoothest update path.

## Installation methods

* **UPM**\
  Best for most teams. Simple versioning and easy upgrades.

{% content-ref url="/pages/JZScVGdQzSP4Xppo0rKT" %}
[Install via UPM](/api-docs/plugins-and-integrations/unity-plugin-beta-overview/getting-started/installation/install-via-upm.md)
{% endcontent-ref %}

* **Unity Asset Store**\
  Ideal for teams that prefer Asset Store distribution and “My Assets” installs.

{% content-ref url="/pages/j068suMLoxr4mGTv8tId" %}
[Install via Unity Asset Store](/api-docs/plugins-and-integrations/unity-plugin-beta-overview/getting-started/installation/install-via-unity-asset-store.md)
{% endcontent-ref %}

## Next step

After installation, continue to **Setup → Configure API Key**.

## Conclusion

You’ve selected the best installation path for your project. Proceed with the installation method that matches your workflow, then move on to **Setup**.

{% hint style="info" %}
**Need help?** For questions, please visit the [**Convai Developer Forum**](https://forum.convai.com/).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unity-plugin-beta-overview/getting-started/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
